CertificatesAPI Reference
Issuer metadata
Retrieve issuer metadata
GET
/.well-known/openid-credential-issuerReturns OID4VCI issuer metadata. This is the standard OID4VCI Well Known endpoint for your tenant.
This endpoint is unprotected, public facing and can be deterministically found at the root of the tenant subdomain or alias by any party wishing to discover the OID4VCI capabilities.
Response Body
application/json
curl -X GET "https://example.com/.well-known/openid-credential-issuer"{ "issuer": "http://example.com", "authorization_endpoint": "http://example.com", "jwks_uri": "http://example.com", "token_endpoint": "http://example.com", "scopes_supported": [ "string" ], "response_types_supported": [ "string" ], "response_modes_supported": [ "string" ], "grant_types_supported": [ "string" ], "code_challenge_methods_supported": [ "string" ], "credential_issuer": "http://example.com", "credential_endpoint": "http://example.com", "credentials_supported": [ { "format": "string", "id": "string", "scope": "string", "@context": [ "string" ], "type": [ "string" ], "credentialSubject": {}, "cryptographic_binding_methods_supported": [ "string" ], "cryptographic_suites_supported": [ "string" ] } ], "credential_configurations_supported": { "property1": { "format": "string", "id": "string", "scope": "string", "credential_definition": { "type": [ "string" ], "@context": [ "string" ] }, "credential_signing_alg_values_supported": [ "string" ], "cryptographic_binding_methods_supported": [ "string" ], "proof_types_supported": { "jwt": { "proof_signing_alg_values_supported": [ "string" ], "key_attestations_required": { "key_storage": [ "string" ], "user_authentication": [ "string" ] } } }, "credential_metadata": { "display": [ {} ], "claims": [ { "path": [ "string" ], "mandatory": true, "display": [ { "name": "string", "locale": "string" } ] } ] } }, "property2": { "format": "string", "id": "string", "scope": "string", "credential_definition": { "type": [ "string" ], "@context": [ "string" ] }, "credential_signing_alg_values_supported": [ "string" ], "cryptographic_binding_methods_supported": [ "string" ], "proof_types_supported": { "jwt": { "proof_signing_alg_values_supported": [ "string" ], "key_attestations_required": { "key_storage": [ "string" ], "user_authentication": [ "string" ] } } }, "credential_metadata": { "display": [ {} ], "claims": [ { "path": [ "string" ], "mandatory": true, "display": [ { "name": "string", "locale": "string" } ] } ] } } }, "mdoc_iacas_uri": "http://example.com", "credential_response_encryption": { "alg_values_supported": [ "string" ], "enc_values_supported": [ "string" ], "encryption_required": true }, "credential_request_encryption": { "jwks": { "keys": [ { "kty": "string", "kid": "string", "use": "string", "crv": "string", "alg": "string", "x": "string", "y": "string" } ] }, "enc_values_supported": [ "string" ], "encryption_required": true }}How would you rate this page?
Last updated on